#!/bin/bash

variable="un deux trois quatre cinq"

set -- $variable
# Initialise les paramètres de position suivant le contenu de "$variable".

premier_param=$1
deuxieme_param=$2
shift; shift       # Shift fait passer les deux premiers paramètres de position.
# shift 2 fonctionne aussi
params_restant="$*"

echo
echo "premier paramètre = $premier_param"             # un
echo "deuxième paramètre = $deuxieme_param"           # deux
echo "paramètres restants = $params_restant"          # trois quatre cinq

echo; echo

# De nouveau.
set -- $variable
premier_param=$1
deuxieme_param=$2
echo "premier paramètre = $premier_param"             # un
echo "deuxième paramètre = $deuxieme_param"           # deux

# ======================================================

set --
# Désinitialise les paramètres de position si aucun variable n'est spécifiée.

premier_param=$1
deuxieme_param=$2
echo "premier paramètre = $premier_param"             # (valeur null)
echo "deuxième paramètre = $deuxieme_param"           # (valeur null)

exit 0
